# Class Table

#### Hierarchy

- FileChild
  - Table

- Defined in file/table/table.ts:37

#####
Index

### Constructors

constructor

### Properties

fileChild

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new Table(__namedParameters): Table

- #### Parameters

  - ##### __namedParameters: ITableOptions

  #### Returns Table

  Overrides FileChild.constructor

  - Defined in file/table/table.ts:38

## Properties

### `Readonly` fileChild

fileChild: symbol = ...

Inherited from FileChild.fileChild

- Defined in file/file-child.ts:4

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from FileChild.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from FileChild.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc